#include <print>

// Konstante für Zerlegung definieren
const unsigned short CFIX = 0xAA55;

// main() Funktion
int main()
{
    // High-Byte der Variablen ausgeben
    std::println("High-Byte von {:#x}: {:#x}", CFIX, (CFIX >> 8));
    // Low-Byte der Variablen ausgeben
    std::println("Low-Byte von {:#x}: {:#x}", CFIX, (CFIX & 0xFF));

    // 2er Potenzen ausgeben
    std::println("2 hoch 0: {}", (1 << 0));
    std::println("2 hoch 1: {}", (1 << 1));
    std::println("2 hoch 2: {}", (1 << 2));
    std::println("2 hoch 3: {}", (1 << 3));

    // Zum Schluss eine Division durch 8
    std::println("244/8: {}", (244 >> 3));
}
